Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protege.model.framestore
Class Sft

    java.lang.Object
      edu.stanford.smi.protege.model.framestore.Sft

All Implemented Interfaces:
  Localizable, Serializable

    public class Sft

extends Object
implements Localizable, Serializable

Author:
  Ray Fergerson Description of this class
See Also:
  Serialized Form

Constructor Summary
`Sft()`
`Sft(Slot slot, Facet facet, boolean isTemplate)`

Method Summary
`boolean` | `equals(Object o)`
`static boolean` | `equals(Object o1, Object o2)`
`Facet` | `getFacet()`
`Slot` | `getSlot()`
`int` | `hashCode()`
`boolean` | `isOwnSlot()`
`boolean` | `isTemplateFacet()`
`boolean` | `isTemplateSlot()`
`void` | `localize(KnowledgeBase kb)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Sft

    public Sft(Slot slot,
               Facet facet,
               boolean isTemplate)

### Sft

    public Sft()

Method Detail

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### getSlot

    public Slot getSlot()

### getFacet

    public Facet getFacet()

### isOwnSlot

    public boolean isOwnSlot()

### isTemplateSlot

    public boolean isTemplateSlot()

### isTemplateFacet

    public boolean isTemplateFacet()

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object o)

  Overrides:
    `equals` in class `Object`

### equals

    public static boolean equals(Object o1,
                                 Object o2)

### localize

    public void localize(KnowledgeBase kb)

  Specified by:
    `localize` in interface `Localizable`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protege 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Protégé is a trademark of Stanford University.
Copyright (c) 1998-2009 Stanford University.